local html = require "util.html";
local json = require "util.json";
local http = require "util.http";

local render_funcs = setmetatable({
	basename = function (str)
		return str:match("[^/]+$");
	end;
	date = function (datetime)
		return datetime:sub(1,10);
	end;
	json = json.encode;
	urlencode = http.urlencode;
}, { __index = html });

local render = require"util.interpolation".new("%b{}", html.escape, render_funcs);

return {
	render = render;
	funcs = render_funcs;
};
